Warning, /games/kbounce/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
0002 
0003 # KDE Application Version, managed by release script
0004 set(RELEASE_SERVICE_VERSION_MAJOR "22")
0005 set(RELEASE_SERVICE_VERSION_MINOR "08")
0006 set(RELEASE_SERVICE_VERSION_MICRO "1")
0007 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
0008 
0009 project(kbounce VERSION ${RELEASE_SERVICE_VERSION})
0010 
0011 set (QT_MIN_VERSION "5.15.2")
0012 set (KF_MIN_VERSION "5.91.0")
0013 
0014 find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
0015 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
0016 
0017 include(KDEInstallDirs)
0018 include(KDECMakeSettings)
0019 include(KDECompilerSettings NO_POLICY_SCOPE)
0020 
0021 include(FeatureSummary)
0022 include(ECMInstallIcons)
0023 include(ECMAddAppIcon)
0024 include(ECMSetupVersion)
0025 include(ECMDeprecationSettings)
0026 include(ECMQtDeclareLoggingCategory)
0027 
0028 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
0029 
0030 find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
0031     CoreAddons 
0032     Config 
0033     Crash
0034     WidgetsAddons 
0035     DBusAddons 
0036     I18n 
0037     ConfigWidgets 
0038     Completion 
0039     XmlGui
0040     KIO
0041     DocTools
0042 )
0043 
0044 find_package(KF5KDEGames 7.3.0 REQUIRED)
0045 
0046 ecm_set_disabled_deprecation_versions(
0047     QT 5.15.2
0048     KF 5.91
0049     KDEGAMES 7.3
0050 )
0051 
0052 add_subdirectory(themes)
0053 add_subdirectory(sounds)
0054 add_subdirectory(pics)
0055 add_subdirectory(doc)
0056 add_subdirectory(src)
0057 
0058 ki18n_install(po)
0059 kdoctools_install(po)
0060 
0061 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)